petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMMoabSetFieldNames

Sets the number of fields and their names to be managed by the DM

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabSetFieldNames(DM dm,PetscInt numFields,const char* fields[])

Not Collective

### Input Parameters

| dm | - the discretization manager object
| numFields | - the total number of fields
| fields | - the array containing the names of each field (component); Can be NULL.

### Keywords

discretization manager, set, component name

### See Also

DMMoabGetFieldName(), DMMoabSetFieldName()

Level:intermediate
Location:src/dm/impls/moab/dmmbfield.cxx
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages